// Zoom Search CGI Front End.Demo software
// Main header file
//Copyright Wrensoft 2006-2010
// www.wrensoft.com

#ifndef CGIFRONT_END_H
#define CGIFRONT_END_H

#define PROGRAM_NAME				"CGIFrontEnd"
#define PROGRAM_VERSION				"V2.1"
#define PROGRAM_BUILD				"1000"

#define MIN_WINDOW_WIDTH			600		//Minimum dialog width
#define MIN_WINDOW_HEIGHT			350		//Minimum dialog height
#define WEBCTRL_OFFSET_X			10		//X Offset of web control in the dialog
#define WEBCTRL_OFFSET_Y			80		//Y Offset of web cotnrol int the dialog
#define WEBCTRL_WIDTHOFFSET_X		20		//Offset for width of web control 
#define WEBCTRL_HEIGHTOFFSET_X		160		//Offset for height of web control 

#define MAX_PATH_LEN				512		//maximum Path lenght
#define MAX_SEARCH_STRING_LEN		300		//maximum search string lenght
#define MAX_ENVIRONMENT_STRING_LEN	2024
#define MAX_URL_LEN					2048
#define MAX_HEADER_TEXT_LEN			1024
#define MAX_RESULT_BUFF_LEN			64000
#define OK							true
#define NOK							false

//Window resizing modes
#define		RS_MOVE			0
#define		RS_RESIZE		1
#define		RS_MOVE_DOWN	2
#define		RS_MOVE_ACROSS	3
//#define		RS_RESIZE_HALFY	4
#define		RS_MOVE_ACROSS_SIZE_DOWN	5
#define		RS_MOVE_DOWN_SIZE_ACROSS	6
#define		RS_MOVE_DOWN_AND_ACROSS	7
#define		RS_SIZE_ACROSS	8

//Image positioning
#define	IMAGE_OFFSET	10
#define	IMAGE_HEIGHT	60


// Global variables
#if defined (MAIN_MODULE)
	HWND        ghMainWnd;					//Main window
	char		lastURL[MAX_URL_LEN];		//last URL that was clicked and needs processing
	char		RunDirName[MAX_PATH_LEN];

#else
	extern	HWND        ghMainWnd;
	extern 	char		lastURL[MAX_URL_LEN];
	extern  char		RunDirName[MAX_PATH_LEN];
#endif

// Prototypes
HANDLE SpawnWithRedirect (char *ProgName);

#endif //CGIFRONT_END_H